body{
    background-color: wheat;
    overflow-x: hidden;
}


/*small to medium*/
@media (min-width: 0px) and (max-width: 767.98px) { 
    body{
        background-color: rgb(84, 160, 128) !important;
    }

    .left_div, .small_none ,.mid_none{
        display: none;
    }

    .right_div{
        display: none;
    }

    .container-fluid{
        width: 95vw;
        height: 95vh;
    }

    .nav_bar > div > a > img{
        width: 3em !important;
    }


    .nav_bar > div > a > p{
        font-size: small !important;
        word-break: break-word !important;
    }
    

 }
/* medium to large */
@media (min-width: 767.98px) and (max-width: 1199.98px) { 
    body{
        background-color: gray !important;
    }
    .left_div,.mid_none{
        display: none;
    }

    .container-fluid{
        width: 95vw;
        height: 95vh;
    }

    .nav_bar > div > a > img{
        width: 3.5em !important;
        
    }    

    .nav_bar > div > a > p{
        font-size: medium !important;
    }

    .gym_logo{
        height: 7em;
        object-fit: cover; /* Do not scale the image */
        object-position: center; /* Center the image within the element */
        border-radius: 50%;
        width: 100%;
    }
    
    
    .user_icon{
        height: 4em;
        margin-left: 1em;
    }

    .modal_4 >img{
        height:3em;
    }

    .modal_4{
        margin: auto;
        display: flex;
        text-align: center;
        flex-flow: row wrap;
        align-items: center;
        justify-items: center;
        width: 9.6vw;
        height: 8em;
    }

    .modal_bar{
        margin: auto;
        width: 22vw;
        height: 20em;

    }

    .logo_bar{
        background-color: white;
        width: 20vw;
        height: 11.5em;
        margin-top: 1em;
        border-radius: 1em;
        display: grid !important;
        place-items: center !important;
    }
 }
/*large and above*/
@media (min-width: 1199.98px) and (max-width: 1979.98px) { 

    .container-fluid{
        width: 95vw;
        height: 95vh;
    }

    .gym_logo{
        object-fit: cover; /* Do not scale the image */
        object-position: center; /* Center the image within the element */
        border-radius: 50%;
        width: 100%;
        height: 8em;
        float: left;
    }
    
    .settings{
        height: 2em;
        object-fit: cover;
        margin-left: -.5em;
        display: block;
    }
    
    .user_icon{
        height: 4em;
    }

    .modal_4 >img{
        height:4em;
    }

    .modal_4{
        margin: auto;
        display: flex;
        text-align: center;
        flex-flow: row wrap;
        align-items: center;
        justify-items: center;
        height: 8.8em;
        width: 10vw;
    }

    .modal_bar{
        margin: auto;
        width: 22vw;
        height: 20em;
    }

    .logo_bar{
        margin-left: -.5em;
        background-color: white;
        width: 22vw;
        height: 9.8em;
        margin-top: 1em;
        border-radius: 1em;
        display: grid !important;
        place-items: center !important;
    }
 }

 @media (min-width: 767.98px) and (max-width: 992px) { 
    .right_div{
        display: none;
    }
 }


 body{
    display: grid !important;
    place-items: center !important;
    height: 100vh !important;
  width: 100vw !important;
  
}

@font-face {
    font-family: poppins;
    src: url(font/Poppins-Regular.woff);
  }
  
  @font-face {
    font-family: poppins_bold;
    src: url(font/Poppins-SemiBold.woff);
    font-weight: bold;
  }

 .left_side_image{
     height: 42.8em;
     width: 14vw;
    background-color: white;
    border-radius: 1em;
    overflow:auto;
 }

 a{
    text-decoration: none;
    color:black; 
    cursor:pointer;
}


 .nav_bar{
     text-align: center;
     background-image: linear-gradient(hsl(200, 80%, 90%) ,hsl(200, 80%, 95%));
    border-radius: 1em;
    padding: 1em 1em;
    margin: auto;
 }
 
 .nav_bar > div > a > img{
     width: 4em;
     padding-top: .5em;
 }

 .nav_bar > div > a > p{
    font-size: medium;
    font-weight: bold;
}

#active_nav_bar{
    background-color: hsl(0, 1%, 70%);
    border-radius: 1em;
}

.dropdown-menu{
    width: min-content !important;
}

.add_member{
    background-color: red !important;
    border-radius: 1em;
}

.add_payment{
    background-color: darkgreen !important;
    border-radius: 1em;
}

.add_expense{
    background-color: darkviolet !important;
    border-radius: 1em;
}

.add_attendance{
    background-color:darkkhaki !important;
    border-radius: 1em;
}


.login_div{
        background-color: white;
        height: 25em;
        width: 25vw;
        display: grid !important;
        place-items: center !important;
        border-radius: 1em;
}

.container-fluid{
    display: grid !important;
    place-items: center !important;
}

.table_image{
    height: 3em;
}

.login_div_logo{
    height: 10em;
}

.table_image_view{
    height: 5em;
}

@media print {
  body * {
    visibility: hidden;
  }
  #section-to-print, #section-to-print * {
    visibility: visible;
  }
  #section-to-print {
    position: absolute;
    left: 0;
    top: 0;
  }
  .payment_div_content{
    height: 100% !important;
    overflow-y: visible !important;
  }
}

.besttech_logo{
    max-height: 100%;
    max-width: 100%;
    width: auto;
    height: auto;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto;    
}